/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "editor.h"

// The following functions set the data stored in private functions
void editor_properties::set_filename(Glib::ustring fn)   { filename = fn; }
void editor_properties::set_toolbar(bool var)            { toolbar = var; }
void editor_properties::set_fileviewer(bool var)         { fileviewer = var; }
void editor_properties::set_statusbar(bool var)          { statusbar = var; }
void editor_properties::set_buildbox(bool var)           { buildbox = var; }
void editor_properties::set_project(Glib::ustring str)   { project = str; }
void editor_properties::set_clipboard(Glib::ustring str) { clipboard = str; }

// Editor functions to get private variables
Glib::ustring editor_properties::get_filename(void)  { return filename; }
Glib::ustring editor_properties::get_clipboard(void) { return clipboard; }

bool editor_properties::get_toolbar()    { return toolbar; }
bool editor_properties::get_fileviewer() { return fileviewer; }
bool editor_properties::get_statusbar()  { return statusbar; }
bool editor_properties::get_buildbox()   { return buildbox; }
