Summary: Graphical front-end to gcc/g++ written with Gtkmm.
Name: openldev
Version: 0.3.9
Release: 1
Copyright: GPL
Group: Development/Tools
Distribution: Generic RPM
Vendor: Open Linux Development
Packager: Andrew Krause <andrew@openldev.org>

%description
Open Linux Developer is a environment based on the Gtkmm libraries that provides a graphical front-end to gcc/g++. It includes the basic essentials needed by a c/c++ programmer.

%prep
rm -rf $RPM_BUILD_DIR/openldev-0.3.9.tgz
zcat $RPM_SOURCE_DIR/openldev-0.3.9.tgz | tar -xvf -

%build
cd $RPM_BUILD_DIR/openldev/
make

%install
cd $RPM_BUILD_DIR/openldev/
make install

%files
/usr/bin/openldev
/usr/bin/openldevhelp
/usr/share/doc/openldev/README
/usr/share/doc/openldev/COPYING
/usr/share/doc/openldev/AUTHORS
/usr/share/doc/openldev/ChangeLog
/usr/share/doc/openldev/INSTALL
/usr/share/doc/openldev/NEWS
/usr/share/doc/openldev/TODO
/usr/share/pixmaps/openldev/about.png
/usr/share/pixmaps/openldev/build_lg.png
/usr/share/pixmaps/openldev/build_sm.png
/usr/share/pixmaps/openldev/compile_sm.png
/usr/share/pixmaps/openldev/edit_lg.png
/usr/share/pixmaps/openldev/edit_sm.png
/usr/share/pixmaps/openldev/openldev48.png
/usr/share/pixmaps/openldev/openldev32.png
/usr/share/pixmaps/openldev/openldev24.png
/usr/share/pixmaps/openldev/openldev16.png
/usr/share/openldev/templates/console-c.tar
/usr/share/openldev/templates/console-cxx.tar
/usr/share/openldev/docs/AboutOpenLDev
/usr/share/openldev/docs/AutoGenerate
/usr/share/openldev/docs/Building
/usr/share/openldev/docs/Compiling
/usr/share/openldev/docs/CompilingandBuilding
/usr/share/openldev/docs/Configure
/usr/share/openldev/docs/CreatingaNewFile
/usr/share/openldev/docs/CreatingaNewProject
/usr/share/openldev/docs/CustomizingtheToolbar
/usr/share/openldev/docs/EnvironmentOptions
/usr/share/openldev/docs/Executing
/usr/share/openldev/docs/FileOperations
/usr/share/openldev/docs/GotoLineinText
/usr/share/openldev/docs/Introduction
/usr/share/openldev/docs/KeyboardShortcuts
/usr/share/openldev/docs/MainWindow
/usr/share/openldev/docs/ManagingProjectFiles
/usr/share/openldev/docs/Menus
/usr/share/openldev/docs/OpeningandSaving
/usr/share/openldev/docs/OpenLDevManual
/usr/share/openldev/docs/OtherCommands
/usr/share/openldev/docs/Preferences
/usr/share/openldev/docs/ProjectInformation
/usr/share/openldev/docs/ProjectManagement
/usr/share/openldev/docs/ProjectSettings
/usr/share/openldev/docs/ReportingBugs
/usr/share/openldev/docs/SearchingforText
/usr/share/applications/openldev.desktop
